/**
 *
 * Klasse zur Manipulation eines Strichcodes
 *
 * @version 1.0 vom 18.11.2023
 * @author AAK Informatik
 */
public class Codemanipulation {

  // Anfang Attribute
  private String strichcode;
  private String erweiterterStrichcode;
  private String alternativerStrichcode;
  // Ende Attribute

  /**
   * Konstruktor
   */
  public Codemanipulation() {
    strichcode = "s1";
    erweiterterStrichcode = "";
    alternativerStrichcode = "";
  }

  // Anfang Methoden
  /**
   * Getter-Methode Strichcode
   * @return strichcode
   */
  public String getStrichcode() {
    return strichcode;
  }
  
  /**
   * Setter-Methode Strichcode
   * @param strichcode
   */
  public void setStrichcode(String pStrichcode) {
    strichcode = pStrichcode;
  }


  /**
   * Getter-Methode ErweiterterStrichode
   * @return erweiterterStrichcode
   */
  public String getErweiterterStrichcode() {
    return erweiterterStrichcode;
  }


  /**
   * Getter-Methode AlternativerStrichcode
   * @return alternativerStrichcode
   */
  public String getAlternativerStrichcode() {
    return alternativerStrichcode;
  }


  /**
   * Methode erweitern
   */
  public void erweitern() {

    erweiterterStrichcode = strichcode + "w4";
    for (int i = strichcode.length()-2; i >= 0; i = i-2) {
      String strichangabe = strichcode.substring(i, i+2);
      erweiterterStrichcode = erweiterterStrichcode + strichangabe;
    }
  }

  /**
   * Methode transformieren
   */
  public void transformieren() {
    char farbe = '\0';
    char anzahl = '\0';
    String code = "";
    
    // Quelltext hier ergaenzen

  }

  // Ende Methoden
}

